PipeWire: pipewire.h File Reference

PipeWire 0.3.1

Functions
pipewire.h File Reference
Include dependency graph for pipewire.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
void | pw_init (int *argc, char **argv[])
bool | pw_debug_is_category_enabled (const char *name)
const char * | pw_get_application_name (void)
const char * | pw_get_prgname (void)
const char * | pw_get_user_name (void)
const char * | pw_get_host_name (void)
const char * | pw_get_client_name (void)
enum pw_direction | pw_direction_reverse (enum pw_direction direction)
uint32_t | pw_get_support (struct spa_support *support, uint32_t max_support)
struct spa_handle * | pw_load_spa_handle (const char *lib, const char *factory_name, const struct spa_dict *info, uint32_t n_support, const struct spa_support support[])
int | pw_unload_spa_handle (struct spa_handle *handle)

## Function Documentation

## ◆ pw_debug_is_category_enabled()

bool pw_debug_is_category_enabled | ( | const char * | name | ) |

## ◆ pw_direction_reverse()

enum pw_direction pw_direction_reverse | ( | enum pw_direction | direction | ) |

## ◆ pw_get_application_name()

const char* pw_get_application_name | ( | void |  | ) |

## ◆ pw_get_client_name()

const char* pw_get_client_name | ( | void |  | ) |

## ◆ pw_get_host_name()

const char* pw_get_host_name | ( | void |  | ) |

## ◆ pw_get_prgname()

const char* pw_get_prgname | ( | void |  | ) |

## ◆ pw_get_support()

uint32_t pw_get_support | ( | struct spa_support * | support,
|  | uint32_t | max_support
| ) |  |

Referenced by pw_loop::pw_loop_new().

## ◆ pw_get_user_name()

const char* pw_get_user_name | ( | void |  | ) |

## ◆ pw_init()

void pw_init | ( | int * | argc,
|  | char ** | argv[]
| ) |  |

## ◆ pw_load_spa_handle()

struct spa_handle* pw_load_spa_handle | ( | const char * | lib,
|  | const char * | factory_name,
|  | const struct spa_dict * | info,
|  | uint32_t | n_support,
|  | const struct spa_support | support[]
| ) |  |

Referenced by pw_loop::pw_loop_new().

## ◆ pw_unload_spa_handle()

int pw_unload_spa_handle | ( | struct spa_handle * | handle | ) |

Referenced by pw_impl_port_set_mix(), pw_loop::pw_loop_destroy(), and pw_loop::pw_loop_new().